package com.yfd.platform.system.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.sql.Timestamp;

/**
 * <p>
 * 系统组织框架
 * </p>
 *
 * @author zhengsl
 * @since 2021-12-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_organization")
public class SysOrganization implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 1-公司 -2-部门
     */
    private String orgtype;

    /**
     *  两位一级
     */
    private String orgcode;

    /**
     * 组织名称
     */
    private String orgname;

    /**
     * 上级id
     */
    private String parentid;

    /**
     * 组织负责人
     */
    private String manager;

    /**
     * 1-是 0-否
     */
    private String isvaild;

    /**
     * 描述
     */
    private String description;

    /**
     * 最近修改者
     */
    private String lastmodifier;

    /**
     * 最近修改日期
     */
    @TableField(fill = FieldFill.UPDATE)
    private Timestamp lastmodifydate;

    /**
     * 备用1
     */
    private String custom1;

    /**
     * 备用2
     */
    private String custom2;

    /**
     * 备用3
     */
    private String custom3;


}
